CustomFlushPropagation< T > Class Template Referenceabstract

Provides interface for custom flush signals. More...

Inheritance diagram for CustomFlushPropagation< T >:

## Public Member Functions

SIGNALS
virtual bool | Flush (bool hardFlush, int propagation=-1, bool blocking=true)=0

## Detailed Description

### template<class T>
class CustomFlushPropagation< T >

Provides interface for custom flush signals.

Template Parameters

  T | the class or type

T should be a BufferedTransformation derived class

Definition at line 160 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h